#
# spec file for package perl-IPC-Run3
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-IPC-Run3
Version:        0.048
Release:        1.28
#Upstream: SUSE-Public-Domain
%define cpan_name IPC-Run3
Summary:        Run a Subprocess with Input/Ouput Redirection
License:        BSD-2-Clause or GPL-2.0+ or Artistic-1.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/IPC-Run3/
Source0:        http://www.cpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
This module allows you to run a subprocess and redirect stdin, stdout,
and/or stderr to files and perl data structures. It aims to satisfy 99% of
the need for using 'system', 'qx', and 'open3' with a simple, extremely
Perlish API.

Speed, simplicity, and portability are paramount. (That's speed of Perl
code; which is often much slower than the kind of buffered I/O that this
module uses to spool input to and output from the child command.)

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Tue Apr 14 2015 coolo@suse.com
- updated to 0.048
  see /usr/share/doc/packages/perl-IPC-Run3/Changes
* Fri Jul 26 2013 coolo@suse.com
- updated to 0.046
  replace a die with a croak (thanks, Mike Doherty)
  typo fixes in documentation (thanks, David Steinbrunner)
* Thu Mar  8 2012 cfarrell@suse.com
- license update: BSD-2-Clause or GPL-2.0+ or Artistic-1.0
  See License
* Mon Feb 27 2012 coolo@suse.com
- updated to 0.045
  skip a test that tickles an OpenBSD bug and hangs the process (thanks,
  BinGOs)
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Fri Sep 17 2010 chris@computersalat.de
- recreated by cpanspec 1.78
- fix deps
- noarch pkg is OK
* Thu Sep 16 2010 larry+opensuse@l2g.to
- New upstream version 0.044. From changelog:
  + ignore user-defined __DIE__ handler in _type (Jeff Lavallee)
  + Added test for __DIE__ handler behavior
* Mon May 24 2010 coolo@novell.com
- do not build noarch
* Thu Mar  4 2010 chris@computersalat.de
- cleanup spec
  o norootforbuild
- fixed deps
- added perl-macros
  o perl_gen_filelist
* Sat Jan 30 2010 larry+opensuse@l2g.to
- Changed the spec for current openSUSE package conventions and to
  make file list stricter
* Mon Jan 25 2010 anicka@suse.cz
- cleaned Requires
